# djalgo: A music composition toolkit

Djalgo is a Python toolkit for music composition. Crafted for musicians and developers alike, Djalgo offers a versatile collection of tools for generating and manipulating musical notes and sequences. Without relying directly on MIDI files, it employs a MIDI-compatible format, enabling users to define each note through a trio of attributes: pitch (in MIDI notation), duration, and offset. Whether you're scripting a symphony, experimenting with algorithms to create melodies, or exploring the mathematical beauty of music, Djalgo makes the art of digital composition accessible and engaging. The name Djalgo was chosen after musician [Django Reinhardt](https://en.wikipedia.org/wiki/Django_Reinhardt), an a mix of *DJ* (disk jockey) and *algorithm*.

## Install

Djalgo is on PyPi.

```
pip install djalgo
```

## Usage

To get started, you might follow the companion website at [essicolo.github.io/djalgo/01_getting-started.html](https://essicolo.github.io/djalgo/source/01_getting-started.html). Happy composing! 🎼
